nxt.http.callers

## Class SearchAssetsCall

- java.lang.Object
- - nxt.http.APICall.Builder<SearchAssetsCall>
  - - nxt.http.callers.SearchAssetsCall

-     public class SearchAssetsCall
      extends APICall.Builder<SearchAssetsCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SearchAssetsCall` | `create()`
    `SearchAssetsCall` | `firstIndex(int firstIndex)`
    `SearchAssetsCall` | `includeCounts(boolean includeCounts)`
    `SearchAssetsCall` | `lastIndex(int lastIndex)`
    `SearchAssetsCall` | `query(java.lang.String query)`
    `SearchAssetsCall` | `requireBlock(java.lang.String requireBlock)`
    `SearchAssetsCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SearchAssetsCall create()

    - #### requireLastBlock

          public SearchAssetsCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public SearchAssetsCall firstIndex(int firstIndex)

    - #### includeCounts

          public SearchAssetsCall includeCounts(boolean includeCounts)

    - #### query

          public SearchAssetsCall query(java.lang.String query)

    - #### lastIndex

          public SearchAssetsCall lastIndex(int lastIndex)

    - #### requireBlock

          public SearchAssetsCall requireBlock(java.lang.String requireBlock)